import os

from flask import Flask

from kunegu import c, serialize
from kunegu import util
from kunegusr import ksrconfig


def create():
    util.setup_logging(ksrconfig.LOGGING_LEVEL)

    c.ksr_app = Flask(import_name=__name__)
    c.ksr_app.config.from_object(ksrconfig.FlaskSettings)
    c.ksr_app.json_encoder = serialize.KuneguJSONEncoder

    from kunegusr import template
    for name, value in template.GLOBALS.items():
        c.ksr_app.jinja_env.globals[name] = value
    for name, value in template.FILTERS.items():
        c.ksr_app.jinja_env.filters[name] = value

    from kunegusr import views
    c.ksr_app.register_blueprint(views.bp_ksr)

    if ksrconfig.PROFILE:
        from repoze.profile import ProfileMiddleware
        c.ksr_app.wsgi_app = ProfileMiddleware(c.ksr_app.wsgi_app)

    # c.ksr_app.debug = ksrconfig.DEBUG

    return c.ksr_app


create()
app = c.ksr_app