from setuptools import setup, find_packages


setup(
        name = 'kunegu-searchresults',
        version = '0.6',
        packages = find_packages(exclude=['kunegu','kunegu.*']),
        install_requires = [
            'flask',
            'kunegu',
        ],
        extras_require = {
            'profile': [
                'repoze.profile',
            ],
        },
        zip_safe = False,
        package_data = {
            'kunegusr.static.img': ['*'],
            'kunegusr.templates': ['*.html'],
        },
        author = 'Kunegu Team',
        description = 'Display web search results obtained from Kunegu.',
        long_description = '''\
Kunegu is a library for creating federated/decentralized web search engines. It extracts visual structure of web pages using a real web browser.

The package provides a web application for displaying and debugging search results.
        
See full description at `<https://github.com/kunegu/kunegu-searchresults>`_.
        ''',
        license = 'BSD',
        keywords = 'federated decentralized search searchengine web',
        url = 'https://github.com/kunegu/kunegu-searchresults',
        classifiers = [
            'Development Status :: 4 - Beta',
            'License :: OSI Approved :: BSD License',
            'Topic :: Internet :: WWW/HTTP :: Indexing/Search',
            'Topic :: Software Development :: Libraries :: Application Frameworks',
            'Programming Language :: Python :: 2.7',
            'Programming Language :: Python :: 3.6',
        ],
)
